classification
Title: Upgrade installers to OpenSSL 1.0.2k
Type: security Stage: resolved
Components: Installation, macOS, SSL, Windows Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: christian.heimes, ned.deily, paul.moore, ronaldoussoren, steve.dower, tim.golden, vstinner, zach.ware
Priority: high Keywords:

Created on 2017-02-15 18:06 by zach.ware, last changed 2017-09-08 02:35 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 439 merged zach.ware, 2017-03-03 21:42
PR 442 merged zach.ware, 2017-03-03 22:01
PR 443 merged zach.ware, 2017-03-03 22:02
PR 444 merged zach.ware, 2017-03-03 22:02
PR 457 merged ned.deily, 2017-03-04 07:33
PR 459 merged ned.deily, 2017-03-04 08:04
PR 2835 merged ned.deily, 2017-07-24 07:28
PR 2836 merged ned.deily, 2017-07-24 07:31
PR 3445 open vstinner, 2017-09-08 02:21
PR 3447 closed vstinner, 2017-09-08 02:35
Messages (14)
msg287877 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-02-15 18:06
It's that time once again (as of a few weeks ago).  This one doesn't seem to be a high severity update, though.  Also, it seems that 1.1.0e is due tomorrow; I'm not sure if that means 1.0.2l will also come out tomorrow, so we'll want to hold off until at least then anyway.  This is mostly just a reminder for now.
msg288924 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-03 20:40
Steve, Zach: can we get this in for 3.6.1?
msg288925 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-03-03 20:44
Yes*.
msg288938 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-03-03 22:09
Done on Windows except for PR444 for 2.7, which is waiting on Travis.
msg290303 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-24 22:56
New changeset 343d48379c31f31cb0bcc843c537990c4283703d by Ned Deily in branch '3.6':
bpo-29572: Update macOS installer build to OpenSSL 1.0.2k (#457) (#459)
https://github.com/python/cpython/commit/343d48379c31f31cb0bcc843c537990c4283703d
msg290304 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-24 22:56
New changeset cfcd76777e35c83d548d8736f5d7dc92fe56d806 by Ned Deily in branch 'master':
bpo-29572: Update macOS installer build to OpenSSL 1.0.2k (#457)
https://github.com/python/cpython/commit/cfcd76777e35c83d548d8736f5d7dc92fe56d806
msg290314 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-03-24 23:00
New changeset f9a6516117f96397aa9c5bd58ea13b111b86b257 by Zachary Ware in branch '2.7':
bpo-29572: Update Windows build to OpenSSL 1.0.2k (GH-444)
https://github.com/python/cpython/commit/f9a6516117f96397aa9c5bd58ea13b111b86b257
msg290316 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-03-24 23:00
New changeset fc64c351c7757f0ebdb7da65cb74871e494a2add by Zachary Ware in branch 'master':
bpo-29572: Update Windows build to OpenSSL 1.0.2k (GH-439)
https://github.com/python/cpython/commit/fc64c351c7757f0ebdb7da65cb74871e494a2add
msg290317 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-03-24 23:00
New changeset 03f7cb060414b17d88cb406f3e09f26c902d8658 by Zachary Ware in branch '3.6':
bpo-29572: Update Windows build to OpenSSL 1.0.2k (GH-442)
https://github.com/python/cpython/commit/03f7cb060414b17d88cb406f3e09f26c902d8658
msg290318 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-03-24 23:00
New changeset dd2000cbe475da48fdc94e8f05618e9f460077fd by Zachary Ware in branch '3.5':
bpo-29572: Update Windows build to OpenSSL 1.0.2k (GH-443)
https://github.com/python/cpython/commit/dd2000cbe475da48fdc94e8f05618e9f460077fd
msg290589 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-03-27 11:31
FYI I started to track OpenSSL versions in my "Python security" documentation:
http://python-security.readthedocs.io/ssl.html#openssl-versions

It seems like all pull requests are merged. Can the issue be closed now?
msg290627 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-27 16:30
> It seems like all pull requests are merged. Can the issue be closed now?

Not quite yet.
msg298931 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-24 07:47
New changeset 002f778ecab98f4725a08f35d68f78559a13e47a by Ned Deily in branch '3.5':
bpo-29572: Update macOS installer build to OpenSSL 1.0.2k (#457) (#2835)
https://github.com/python/cpython/commit/002f778ecab98f4725a08f35d68f78559a13e47a
msg298932 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-24 08:02
New changeset 8d41de62b9e21090c3a1ccb951ba7034a2b74180 by Ned Deily in branch '2.7':
bpo-29572: Update macOS installer build to OpenSSL 1.0.2k (#457) (#2836)
https://github.com/python/cpython/commit/8d41de62b9e21090c3a1ccb951ba7034a2b74180
History
Date User Action Args
2017-09-08 02:35:36vstinnersetpull_requests: + pull_request3443
2017-09-08 02:21:38vstinnersetpull_requests: + pull_request3441
2017-07-24 08:04:34ned.deilysetstatus: open -> closed
resolution: fixed
stage: resolved
2017-07-24 08:02:33ned.deilysetmessages: + msg298932
2017-07-24 07:47:35ned.deilysetmessages: + msg298931
2017-07-24 07:31:04ned.deilysetpull_requests: + pull_request2883
2017-07-24 07:28:12ned.deilysetpull_requests: + pull_request2882
2017-04-01 05:49:10serhiy.storchakasetpull_requests: - pull_request1053
2017-03-31 16:36:32dstufftsetpull_requests: + pull_request1053
2017-03-27 16:30:54ned.deilysetmessages: + msg290627
2017-03-27 11:31:09vstinnersetnosy: + vstinner
messages: + msg290589
2017-03-24 23:00:59zach.waresetmessages: + msg290318
2017-03-24 23:00:51zach.waresetmessages: + msg290317
2017-03-24 23:00:42zach.waresetmessages: + msg290316
2017-03-24 23:00:15zach.waresetmessages: + msg290314
2017-03-24 22:56:34ned.deilysetmessages: + msg290304
2017-03-24 22:56:26ned.deilysetmessages: + msg290303
2017-03-18 06:33:22serhiy.storchakasetpull_requests: - pull_request579
2017-03-17 21:00:31larrysetpull_requests: + pull_request579
2017-03-04 08:04:35ned.deilysetpull_requests: + pull_request383
2017-03-04 07:33:03ned.deilysetpull_requests: + pull_request381
2017-03-03 22:09:56zach.waresetassignee: ned.deily
messages: + msg288938
2017-03-03 22:02:57zach.waresetpull_requests: + pull_request370
2017-03-03 22:02:22zach.waresetpull_requests: + pull_request369
2017-03-03 22:01:10zach.waresetpull_requests: + pull_request368
2017-03-03 21:42:58zach.waresetpull_requests: + pull_request365
2017-03-03 20:44:01zach.waresetassignee: christian.heimes -> (no value)
messages: + msg288925
2017-03-03 20:40:04ned.deilysetmessages: + msg288924
2017-02-15 18:06:12zach.warecreate